Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.cometd
Class ClientImpl

    java.lang.Object
      org.mortbay.cometd.ClientImpl

All Implemented Interfaces:
  org.cometd.Client

Direct Known Subclasses:
  ContinuationClient

    public class ClientImpl

extends Object
implements org.cometd.Client

Author:
  gregw

Field Summary
`protected AbstractBayeux` | `_bayeux`

Constructor Summary
`protected` | `ClientImpl(AbstractBayeux bayeux)`
`protected` | `ClientImpl(AbstractBayeux bayeux, String idPrefix)`

Method Summary
`void` | `addListener(org.cometd.ClientListener listener)`
`protected void` | `addSubscription(ChannelImpl channel)`
`void` | `deliver(org.cometd.Client from, String toChannel, Object data, String id)`
`void` | `doDeliverListeners()`
`protected void` | `doDelivery(org.cometd.Client from, org.cometd.Message message)`
`void` | `endBatch()`
`boolean` | `equals(Object o)`
`JSON.Literal` | `getAdvice()` Get the advice specific for this Client
`String` | `getBrowserId()`
`String` | `getConnectionType()`
`String` | `getId()`
`int` | `getMaxQueue()`
`int` | `getMessages()`
`Queue<org.cometd.Message>` | `getQueue()`
`long` | `getTimeout()`
`boolean` | `hasMessages()`
`boolean` | `isJSONCommented()`
`boolean` | `isLocal()`
`void` | `remove(boolean timeout)`
`void` | `removeListener(org.cometd.ClientListener listener)`
`protected void` | `removeSubscription(ChannelImpl channel)`
`int` | `responded()`
`int` | `responsePending()`
`void` | `resume()` Called by deliver to resume anything waiting on this client.
`void` | `returnMessages(List<org.cometd.Message> messages)`
`void` | `setAdvice(JSON.Literal advice)`
`void` | `setBrowserId(String id)`
`protected void` | `setConnectionType(String type)`
`protected void` | `setId(String _id)`
`void` | `setJSONCommented(boolean commented)`
`void` | `setMaxQueue(int maxQueue)`
`void` | `setTimeout(long timeoutMS)`
`void` | `startBatch()`
`List<org.cometd.Message>` | `takeMessages()`
`String` | `toString()`
`protected void` | `unsubscribeAll()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _bayeux

    protected AbstractBayeux _bayeux

Constructor Detail

### ClientImpl

    protected ClientImpl(AbstractBayeux bayeux)

### ClientImpl

    protected ClientImpl(AbstractBayeux bayeux,
                         String idPrefix)

Method Detail

### deliver

    public void deliver(org.cometd.Client from,
                        String toChannel,
                        Object data,
                        String id)

  Specified by:
    `deliver` in interface `org.cometd.Client`

### doDelivery

    protected void doDelivery(org.cometd.Client from,
                              org.cometd.Message message)

### doDeliverListeners

    public void doDeliverListeners()

### startBatch

    public void startBatch()

  Specified by:
    `startBatch` in interface `org.cometd.Client`

### endBatch

    public void endBatch()

  Specified by:
    `endBatch` in interface `org.cometd.Client`

### getConnectionType

    public String getConnectionType()

### getId

    public String getId()

  Specified by:
    `getId` in interface `org.cometd.Client`

### hasMessages

    public boolean hasMessages()

  Specified by:
    `hasMessages` in interface `org.cometd.Client`

### isJSONCommented

    public boolean isJSONCommented()

  Returns:
    the commented

### isLocal

    public boolean isLocal()

  Specified by:
    `isLocal` in interface `org.cometd.Client`

### remove

    public void remove(boolean timeout)

### responded

    public int responded()

### responsePending

    public int responsePending()

### resume

    public void resume()

  Called by deliver to resume anything waiting on this client.

### setJSONCommented

    public void setJSONCommented(boolean commented)

  Parameters:
    `commented` - the commented to set

### getMessages

    public int getMessages()

### takeMessages

    public List<org.cometd.Message> takeMessages()

  Specified by:
    `takeMessages` in interface `org.cometd.Client`

### returnMessages

    public void returnMessages(List<org.cometd.Message> messages)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### addSubscription

    protected void addSubscription(ChannelImpl channel)

### removeSubscription

    protected void removeSubscription(ChannelImpl channel)

### setConnectionType

    protected void setConnectionType(String type)

### setId

    protected void setId(String _id)

### unsubscribeAll

    protected void unsubscribeAll()

### setBrowserId

    public void setBrowserId(String id)

### getBrowserId

    public String getBrowserId()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### getAdvice

    public JSON.Literal getAdvice()

  Get the advice specific for this Client

  Returns:
    advice specific for this client or null

### setAdvice

    public void setAdvice(JSON.Literal advice)

  Parameters:
    `advice` - specific for this client

### addListener

    public void addListener(org.cometd.ClientListener listener)

  Specified by:
    `addListener` in interface `org.cometd.Client`

### removeListener

    public void removeListener(org.cometd.ClientListener listener)

  Specified by:
    `removeListener` in interface `org.cometd.Client`

### getTimeout

    public long getTimeout()

### setTimeout

    public void setTimeout(long timeoutMS)

### setMaxQueue

    public void setMaxQueue(int maxQueue)

  Specified by:
    `setMaxQueue` in interface `org.cometd.Client`

### getMaxQueue

    public int getMaxQueue()

  Specified by:
    `getMaxQueue` in interface `org.cometd.Client`

### getQueue

    public Queue<org.cometd.Message> getQueue()

  Specified by:
    `getQueue` in interface `org.cometd.Client`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.